Create upload session
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"size_bytes": 123,
"media_type": "<string>",
"sha256": "<string>",
"client_origin": "<string>",
"upload_batch_id": "<string>"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads"
payload = {
"filename": "<string>",
"size_bytes": 123,
"media_type": "<string>",
"sha256": "<string>",
"client_origin": "<string>",
"upload_batch_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filename: '<string>',
size_bytes: 123,
media_type: '<string>',
sha256: '<string>',
client_origin: '<string>',
upload_batch_id: '<string>'
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filename' => '<string>',
'size_bytes' => 123,
'media_type' => '<string>',
'sha256' => '<string>',
'client_origin' => '<string>',
'upload_batch_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads"
payload := strings.NewReader("{\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"media_type\": \"<string>\",\n \"sha256\": \"<string>\",\n \"client_origin\": \"<string>\",\n \"upload_batch_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"media_type\": \"<string>\",\n \"sha256\": \"<string>\",\n \"client_origin\": \"<string>\",\n \"upload_batch_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"media_type\": \"<string>\",\n \"sha256\": \"<string>\",\n \"client_origin\": \"<string>\",\n \"upload_batch_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"upload_id": "<string>",
"status": "created",
"provider": "supabase",
"protocol": "tus",
"filename": "<string>",
"media_type": "<string>",
"size_bytes": 0,
"grant": {},
"grant_expires_at": "<string>",
"admission_expires_at": "<string>"
}
}Files
Create upload session
Open an upload session for File bytes.
Create upload session
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"size_bytes": 123,
"media_type": "<string>",
"sha256": "<string>",
"client_origin": "<string>",
"upload_batch_id": "<string>"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads"
payload = {
"filename": "<string>",
"size_bytes": 123,
"media_type": "<string>",
"sha256": "<string>",
"client_origin": "<string>",
"upload_batch_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filename: '<string>',
size_bytes: 123,
media_type: '<string>',
sha256: '<string>',
client_origin: '<string>',
upload_batch_id: '<string>'
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filename' => '<string>',
'size_bytes' => 123,
'media_type' => '<string>',
'sha256' => '<string>',
'client_origin' => '<string>',
'upload_batch_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads"
payload := strings.NewReader("{\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"media_type\": \"<string>\",\n \"sha256\": \"<string>\",\n \"client_origin\": \"<string>\",\n \"upload_batch_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"media_type\": \"<string>\",\n \"sha256\": \"<string>\",\n \"client_origin\": \"<string>\",\n \"upload_batch_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"media_type\": \"<string>\",\n \"sha256\": \"<string>\",\n \"client_origin\": \"<string>\",\n \"upload_batch_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"upload_id": "<string>",
"status": "created",
"provider": "supabase",
"protocol": "tus",
"filename": "<string>",
"media_type": "<string>",
"size_bytes": 0,
"grant": {},
"grant_expires_at": "<string>",
"admission_expires_at": "<string>"
}
}Operation ID:
http.uploads.create
POST /v1/orgs/{org}/projects/{project}/files/uploads
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
2XX - application/json
Success.
Show child attributes
Show child attributes